d1_cn_index_tool doesn't reindex an pid from a given file
Status: New Start date: 2018-03-01

Priority: Normal Due date:  

Assignee: Jing Tao % Done: 0%

Category: d1_indexer Estimated time: 0.00 hour

Target version: CCI-2.3.8   

Milestone: None Story Points:  

Product Version: *   

Description

When d1_index_tool reindex an pid from a given file, it will generate a index task by the index generator and save the index task to

the db. However, the index generator, there is a new rule that the index task will be ignored if there is no change on the system

metadata. So if there is no change on the system metadata, the pid specified in the given file will not be reindexed. 

In our Pangaea cases, we need to use different subprocessor to process the object while there are no change on the system

metadata. So the d1_index_tool will NOT reindex them.

History

#1 - 2018-03-02 20:59 - Jing Tao

- Category set to d1_indexer

#2 - 2018-03-02 21:50 - Dave Vieglais

- Target version changed from CCI-2.3.8 to CCI-2.3.9

#3 - 2018-03-02 22:06 - Jing Tao

- Target version changed from CCI-2.3.9 to CCI-2.3.8

This changed has been done and tested on the 2.3 branch. So it will included in the 2.3.8 release.
